//////////////////////////////////////
textures/spacerework/e8jumpspawn02c
{
	q3map_lightimage textures/spacerework/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_backSplash 25 25
	{
		map textures/spacerework/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/spacerework/e8jumpspawn02c.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/spacerework/e8alphaspawn
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
		map textures/spacerework/e8alphaspawn.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/spacerework/white
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/spacerework/white
		blendfunc add
		rgbGen Vertex
	}
}


textures/spacerework/e8trimlight
{
	q3map_lightimage textures/spacerework/e8trimlight_fx.tga
	q3map_surfacelight 100
	q3map_backSplash 25 25
	surfaceparm nodamage
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/spacerework/e8trimlight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/spacerework/e8trimlight_fx.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/spacerework/portal
{
	qer_editorimage textures/spacerework/a_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	surfaceparm nodamage
	portal
	{
		map textures/spacerework/a_portal.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		depthWrite
		alphaGen portal 256
    }
}

textures/spacerework/zap_scroll
{
	q3map_surfacelight 300
	q3map_backSplash 25 25
	qer_editorimage textures/spacerework/sfx/zap_scroll.tga
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	cull none
	
	{
		Map textures/spacerework/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		Map textures/spacerework/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		Map textures/spacerework/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		Map textures/spacerework/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

textures/spacerework/zap_scroll1000
{
        q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	q3map_lightimage textures/spacerework/sfx/zap_scroll.tga
	qer_editorimage textures/spacerework/sfx/zap_scroll2.tga
	cull none
	
	{
		map textures/spacerework/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/spacerework/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/spacerework/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/spacerework/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

textures/spacerework/strato_skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_skylight 150 3
	surfaceparm sky
	q3map_sunExt 0.941 0.984 1.00 190 270 45 2 16
	skyparms env/stratosphere/stratosphere - -
}

models/mapobjects/spacerework/elglight2
{
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nodamage
	cull none
	//nopicmip
	{
		map models/mapobjects/spacerework/elglight2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/spacerework/el_dmask
{      
           {   
		map models/mapobjects/spacerework/el_dmask.tga   
		rgbGen indentity    
	}  
	    {
        map $lightmap
        blendfunc filter
    }
        {   
                map textures/spacerework/sfx/firegorre2.tga   
                blendFunc GL_ONE GL_ZERO   
                tcmod scroll 0 1   
                tcMod turb 0 .25 0 1.6   
                tcmod scale 4 4   
                rgbGen identity   
	}                  
        {   
		map models/mapobjects/spacerework/el_dmask.tga   
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA   
		rgbGen filter   
	}  
}  

